org.eclipse.rdf4j.model.vocabulary

## Class SP

- java.lang.Object
- - org.eclipse.rdf4j.model.vocabulary.SP

-     public class SP
      extends Object

  Version:
    1.4.0

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static IRI` | `ADD`
    `static IRI` | `AGGREGATION_CLASS` http://spinrdf.org/sp#Aggregation Base class of aggregation types (not part of the SPARQL 1.0 standard but supported by ARQ and other engines).
    `static IRI` | `ALL_PROPERTY` http://spinrdf.org/sp#all Used in DROP and CLEAR.
    `static IRI` | `ALT_PATH_CLASS` http://spinrdf.org/sp#AltPath An alternative path with the union of sp:path1 and sp:path2.
    `static IRI` | `AND`
    `static IRI` | `ARG_PROPERTY` http://spinrdf.org/sp#arg Abstract superproperty for the enumerated arg1, arg2 etc.
    `static IRI` | `ARG1_PROPERTY` http://spinrdf.org/sp#arg1 The first argument of a function call.
    `static IRI` | `ARG2_PROPERTY` http://spinrdf.org/sp#arg2 The second argument of a function call.
    `static IRI` | `ARG3_PROPERTY` http://spinrdf.org/sp#arg3 The third argument of a function call.
    `static IRI` | `ARG4_PROPERTY` http://spinrdf.org/sp#arg4 The forth argument of a function call.
    `static IRI` | `ARG5_PROPERTY` http://spinrdf.org/sp#arg5 The fifth argument of a function call.
    `static IRI` | `AS_PROPERTY` Deprecated.
    `static IRI` | `ASC_CLASS` http://spinrdf.org/sp#Asc Marker to indicate ascending order.
    `static IRI` | `ASK_CLASS` http://spinrdf.org/sp#Ask An ASK query that returns true if the condition in the body is met by at least one result set.
    `static IRI` | `AVG_CLASS` http://spinrdf.org/sp#Avg Represents AVG aggregations.
    `static IRI` | `BIND_CLASS` http://spinrdf.org/sp#Bind A BIND element.
    `static IRI` | `BINDINGS_PROPERTY`
    `static IRI` | `BNODE`
    `static IRI` | `BOUND`
    `static IRI` | `CLEAR_CLASS` http://spinrdf.org/sp#Clear An Update operation that removes all triples from a specified graph.
    `static IRI` | `COALESCE`
    `static IRI` | `COMMAND_CLASS` http://spinrdf.org/sp#Command A shared superclass for sp:Query and sp:Update that can be used to specify that the range of property can be either one.
    `static IRI` | `CONSTRUCT_CLASS` http://spinrdf.org/sp#Construct A CONSTRUCT-type query that can be used to construct new triples from template triples (head) that use variable bindings from the match patterns (body).
    `static IRI` | `COUNT_CLASS` http://spinrdf.org/sp#Count Counts the number of times a variable is used.
    `static IRI` | `CREATE_CLASS` http://spinrdf.org/sp#Create An Update operation that creates a new empty graph with a name specified by sp:graphIRI.
    `static IRI` | `DATA_PROPERTY`
    `static IRI` | `DATATYPE`
    `static IRI` | `DEFAULT_PROPERTY` http://spinrdf.org/sp#default Used in DROP and CLEAR.
    `static IRI` | `Delete` Deprecated.
    `static IRI` | `DELETE_CLASS` Deprecated.
    `static IRI` | `DELETE_DATA_CLASS` http://spinrdf.org/sp#DeleteData An Update operation to delete specific triples.
    `static IRI` | `DELETE_PATTERN_PROPERTY` http://spinrdf.org/sp#deletePattern Points to a list of sp:TripleTemplates and sp:NamedGraphs in a modify operation.
    `static IRI` | `DELETE_WHERE_CLASS` http://spinrdf.org/sp#DeleteWhere An Update operation where the triples matched by the WHERE clause (sp:where) will be the triples deleted.
    `static IRI` | `DESC_CLASS` http://spinrdf.org/sp#Desc Marker to indicate descending order.
    `static IRI` | `DESCRIBE_CLASS` http://spinrdf.org/sp#Describe A DESCRIBE-type Query.
    `static IRI` | `DISTINCT_PROPERTY` http://spinrdf.org/sp#distinct A marker property to indicate that a Select query is of type SELECT DISTINCT.
    `static IRI` | `DIVIDE`
    `static IRI` | `DOCUMENT_PROPERTY` http://spinrdf.org/sp#document The IRI of the document to load using a LOAD Update operation.
    `static IRI` | `DROP_CLASS` http://spinrdf.org/sp#Drop An Update operation that removes a specified graph from the Graph Store.
    `static IRI` | `ELEMENT_CLASS` http://spinrdf.org/sp#Element An abstract base class for all pattern elements.
    `static IRI` | `ELEMENT_GROUP_CLASS` http://spinrdf.org/sp#ElementGroup Abstract base class of group patterns.
    `static IRI` | `ELEMENT_LIST_CLASS` http://spinrdf.org/sp#ElementList A list of Elements.
    `static IRI` | `ELEMENTS_PROPERTY` http://spinrdf.org/sp#elements Points to an ElementList, for example in an Optional element.
    `static IRI` | `EQ`
    `static IRI` | `EXISTS`
    `static IRI` | `EXPRESSION_PROPERTY` http://spinrdf.org/sp#expression Points to an expression, for example in a Filter or Assignment.
    `static IRI` | `FILTER_CLASS` http://spinrdf.org/sp#Filter A constraint element that evaluates a given expression to true or false.
    `static IRI` | `FROM_NAMED_PROPERTY` http://spinrdf.org/sp#fromNamed Specifies a named RDF Dataset used by a Query (FROM NAMED syntax in SPARQL).
    `static IRI` | `FROM_PROPERTY` http://spinrdf.org/sp#from Specifies an RDF Dataset used by a Query (FROM syntax in SPARQL).
    `static IRI` | `GE`
    `static IRI` | `GRAPH_IRI_PROPERTY` http://spinrdf.org/sp#graphIRI Points to graph names (IRIs) in various sp:Update operations.
    `static IRI` | `GRAPH_NAME_NODE_PROPERTY` http://spinrdf.org/sp#graphNameNode The name (IRI or Variable) of a NamedGraph.
    `static IRI` | `GROUP_BY_PROPERTY` http://spinrdf.org/sp#groupBy Points from a Query to the list of GROUP BY expressions.
    `static IRI` | `GROUP_CONCAT_CLASS`
    `static IRI` | `GT`
    `static IRI` | `HAVING_PROPERTY` http://spinrdf.org/sp#having Points from a SELECT query to a list of HAVING expressions.
    `static IRI` | `IF`
    `static IRI` | `Insert` Deprecated.
    `static IRI` | `INSERT_CLASS` Deprecated.
    `static IRI` | `INSERT_DATA_CLASS` http://spinrdf.org/sp#InsertData An Update operation to insert specific triples.
    `static IRI` | `INSERT_PATTERN_PROPERTY` http://spinrdf.org/sp#insertPattern Points to a list of sp:TripleTemplates or sp:NamedGraphs in a modify command.
    `static IRI` | `INTO_PROPERTY` http://spinrdf.org/sp#into The (optional) target of a LOAD Update operation.
    `static IRI` | `IRI`
    `static IRI` | `IS_BLANK`
    `static IRI` | `IS_IRI`
    `static IRI` | `IS_LITERAL`
    `static IRI` | `IS_NUMERIC`
    `static IRI` | `IS_URI`
    `static IRI` | `LANG`
    `static IRI` | `LE`
    `static IRI` | `Let` Deprecated.
    `static IRI` | `LET_CLASS` Deprecated.
    `static IRI` | `LIMIT_PROPERTY` http://spinrdf.org/sp#limit The LIMIT solution modifier of a Query.
    `static IRI` | `LOAD_CLASS` http://spinrdf.org/sp#Load A LOAD Update operation.
    `static IRI` | `LT`
    `static IRI` | `MAX_CLASS` http://spinrdf.org/sp#Max Represents MAX aggregations.
    `static IRI` | `MIN_CLASS` http://spinrdf.org/sp#Min Represents MIN aggregations.
    `static IRI` | `MINUS_CLASS` http://spinrdf.org/sp#Minus A MINUS element group.
    `static IRI` | `MOD_MAX_PROPERTY`
    `static IRI` | `MOD_MIN_PROPERTY`
    `static IRI` | `MOD_PATH_CLASS` http://spinrdf.org/sp#ModPath A modified path such as rdfs:subClassOf*.
    `static IRI` | `MODIFY_CLASS` http://spinrdf.org/sp#Modify Represents a MODIFY (part of SPARQL UPDATE language).
    `static IRI` | `MUL`
    `static IRI` | `NAMED_GRAPH_CLASS` http://spinrdf.org/sp#NamedGraph A named Graph element such as GRAPH {...}.
    `static IRI` | `NAMED_PROPERTY` http://spinrdf.org/sp#named Used in DROP and CLEAR.
    `static String` | `NAMESPACE` http://spinrdf.org/sp An RDF Schema to syntactically represent SPARQL queries (including SPARQL UPDATE) as RDF triples.
    `static IRI` | `NE`
    `static IRI` | `NODE_PROPERTY`
    `static IRI` | `NOT`
    `static IRI` | `NOT_EXISTS`
    `static IRI` | `NOT_EXISTS_CLASS` http://spinrdf.org/sp#NotExists A NOT EXISTS element group (ARQ only).
    `static IRI` | `OBJECT_PROPERTY` http://spinrdf.org/sp#object An RDF Node or Variable describing the object of a triple.
    `static IRI` | `OFFSET_PROPERTY` http://spinrdf.org/sp#offset The OFFSET solution modifier of a Query.
    `static IRI` | `OPTIONAL_CLASS` http://spinrdf.org/sp#Optional An optional element in a query.
    `static IRI` | `OR`
    `static IRI` | `ORDER_BY_CONDITION_CLASS` http://spinrdf.org/sp#OrderByCondition An abstract base class for ascending or descending order conditions.
    `static IRI` | `ORDER_BY_PROPERTY` http://spinrdf.org/sp#orderBy Links a query with an ORDER BY clause where the values are rdf:List containing OrderByConditions or expressions.
    `static IRI` | `PATH_CLASS` http://spinrdf.org/sp#Path The base class of SPARQL property path expressions.
    `static IRI` | `PATH_PROPERTY` http://spinrdf.org/sp#path Points from a TriplePath to its path.
    `static IRI` | `PATH1_PROPERTY` http://spinrdf.org/sp#path1 The first child path of a property path.
    `static IRI` | `PATH2_PROPERTY` http://spinrdf.org/sp#path2 The second child path of a property path.
    `static IRI` | `PREDICATE_PROPERTY` http://spinrdf.org/sp#predicate A resource or Variable describing the predicate of a triple.
    `static String` | `PREFIX`
    `static IRI` | `QUERY_CLASS` http://spinrdf.org/sp#Query Abstract base class of the various types of supported queries.
    `static IRI` | `QUERY_PROPERTY` http://spinrdf.org/sp#query Links a SubQuery resource with the nested Query.
    `static IRI` | `REDUCED_PROPERTY` http://spinrdf.org/sp#reduced A property with true to indicate that a Select query has a REDUCED flag.
    `static IRI` | `REGEX`
    `static IRI` | `RESULT_NODES_PROPERTY` http://spinrdf.org/sp#resultNodes Contains the result nodes (IRI resources or Variables) of a Describe query.
    `static IRI` | `RESULT_VARIABLES_PROPERTY` http://spinrdf.org/sp#resultVariables An rdf:List of variables that are returned by a Select query.
    `static IRI` | `REVERSE_LINK_PATH_CLASS`
    `static IRI` | `REVERSE_PATH_CLASS` http://spinrdf.org/sp#ReversePath A path with reversed direction.
    `static IRI` | `SAMPLE_CLASS`
    `static IRI` | `SELECT_CLASS` http://spinrdf.org/sp#Select A SELECT-type query that returns variable bindings as its result.
    `static IRI` | `SEQ_PATH_CLASS` http://spinrdf.org/sp#SeqPath A sequence of multiple paths.
    `static IRI` | `SERVICE_CLASS` http://spinrdf.org/sp#Service A SERVICE call that matches a nested sub-pattern against a SPARQL end point specified by a IRI.
    `static IRI` | `SERVICE_URI_PROPERTY` http://spinrdf.org/sp#serviceURI Used by sp:Service to specify the IRI of the SPARQL end point to invoke.
    `static IRI` | `SILENT_PROPERTY`
    `static IRI` | `STR`
    `static IRI` | `SUB`
    `static IRI` | `SUB_PATH_PROPERTY` http://spinrdf.org/sp#subPath The child path of a property path expression.
    `static IRI` | `SUB_QUERY_CLASS` http://spinrdf.org/sp#SubQuery A nested SELECT query inside of an element list.
    `static IRI` | `SUBJECT_PROPERTY` http://spinrdf.org/sp#subject A resource or Variable describing the subject of a triple.
    `static IRI` | `SUM_CLASS` http://spinrdf.org/sp#Sum Represents sum aggregations, e.g.
    `static IRI` | `SYSTEM_CLASS` http://spinrdf.org/sp#SystemClass An "artificial" root class that groups all SP classes.
    `static IRI` | `SYSTEM_PROPERTY` http://spinrdf.org/sp#systemProperty An abstract base proprerty that groups together the SP system properties.
    `static IRI` | `TEMPLATES_PROPERTY` http://spinrdf.org/sp#templates Points to a list of TripleTemplates that form the head of a Construct query.
    `static IRI` | `TEXT_PROPERTY` http://spinrdf.org/sp#text Can be attached to sp:Queries to store a textual representation of the query.
    `static IRI` | `TRIPLE_CLASS` http://spinrdf.org/sp#Triple A base class for TriplePattern and TripleTemplate.
    `static IRI` | `TRIPLE_PATH_CLASS` http://spinrdf.org/sp#TriplePath Similar to a TriplePattern, but with a path expression as its predicate.
    `static IRI` | `TRIPLE_PATTERN_CLASS` http://spinrdf.org/sp#TriplePattern A triple pattern used in the body of a query.
    `static IRI` | `TRIPLE_TEMPLATE_CLASS` http://spinrdf.org/sp#TripleTemplate A prototypical triple used as template in the head of a Construct query.
    `static IRI` | `TUPLE_CLASS` http://spinrdf.org/sp#Tuple Abstract base class for things that have subject and object.
    `static IRI` | `UNDEF`
    `static IRI` | `UNION_CLASS` http://spinrdf.org/sp#Union A UNION group.
    `static IRI` | `UPDATE_CLASS` http://spinrdf.org/sp#Update Abstract base class to group the various SPARQL UPDATE commands.
    `static IRI` | `URI`
    `static IRI` | `USING_NAMED_PROPERTY`
    `static IRI` | `USING_PROPERTY`
    `static IRI` | `VALUES_CLASS`
    `static IRI` | `VAR_NAME_PROPERTY` http://spinrdf.org/sp#varName The name of a Variable.
    `static IRI` | `VAR_NAMES_PROPERTY`
    `static IRI` | `VARIABLE_CLASS` http://spinrdf.org/sp#Variable A variable mentioned in a Triple or expression.
    `static IRI` | `VARIABLE_PROPERTY` http://spinrdf.org/sp#variable The variable of a Bind element.
    `static IRI` | `WHERE_PROPERTY` http://spinrdf.org/sp#where The WHERE clause of a Query.
    `static IRI` | `WITH_PROPERTY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SP()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NAMESPACE

          public static final String NAMESPACE

      http://spinrdf.org/sp An RDF Schema to syntactically represent SPARQL queries (including SPARQL UPDATE) as RDF triples.
      See Also:
        Constant Field Values

    - #### PREFIX

          public static final String PREFIX

      See Also:
        Constant Field Values

    - #### PATH_CLASS

          public static final IRI PATH_CLASS

      http://spinrdf.org/sp#Path The base class of SPARQL property path expressions. Paths are used by sp:TriplePath triple paths.

    - #### SYSTEM_CLASS

          public static final IRI SYSTEM_CLASS

      http://spinrdf.org/sp#SystemClass An "artificial" root class that groups all SP classes. This makes them look much less overwhelming in UI tools. Typical end users don't need to see those classes anyway.

    - #### ASC_CLASS

          public static final IRI ASC_CLASS

      http://spinrdf.org/sp#Asc Marker to indicate ascending order.

    - #### ORDER_BY_CONDITION_CLASS

          public static final IRI ORDER_BY_CONDITION_CLASS

      http://spinrdf.org/sp#OrderByCondition An abstract base class for ascending or descending order conditions. Instances of this class (typically bnodes) must have a value for expression to point to the actual values.

    - #### SUM_CLASS

          public static final IRI SUM_CLASS

      http://spinrdf.org/sp#Sum Represents sum aggregations, e.g. SELECT SUM(?varName)...

    - #### AGGREGATION_CLASS

          public static final IRI AGGREGATION_CLASS

      http://spinrdf.org/sp#Aggregation Base class of aggregation types (not part of the SPARQL 1.0 standard but supported by ARQ and other engines).

    - #### UNION_CLASS

          public static final IRI UNION_CLASS

      http://spinrdf.org/sp#Union A UNION group.

    - #### ELEMENT_GROUP_CLASS

          public static final IRI ELEMENT_GROUP_CLASS

      http://spinrdf.org/sp#ElementGroup Abstract base class of group patterns.

    - #### TRIPLE_PATTERN_CLASS

          public static final IRI TRIPLE_PATTERN_CLASS

      http://spinrdf.org/sp#TriplePattern A triple pattern used in the body of a query.

    - #### ELEMENT_CLASS

          public static final IRI ELEMENT_CLASS

      http://spinrdf.org/sp#Element An abstract base class for all pattern elements.

    - #### TRIPLE_CLASS

          public static final IRI TRIPLE_CLASS

      http://spinrdf.org/sp#Triple A base class for TriplePattern and TripleTemplate. This basically specifies that subject, predicate and object must be present.

    - #### LOAD_CLASS

          public static final IRI LOAD_CLASS

      http://spinrdf.org/sp#Load A LOAD Update operation. The document to load is specified using sp:document, and the (optional) target graph using sp:into.

    - #### UPDATE_CLASS

          public static final IRI UPDATE_CLASS

      http://spinrdf.org/sp#Update Abstract base class to group the various SPARQL UPDATE commands.

    - #### DELETE_DATA_CLASS

          public static final IRI DELETE_DATA_CLASS

      http://spinrdf.org/sp#DeleteData An Update operation to delete specific triples. The graph triples are represented using sp:data, which points to an rdf:List of sp:Triples or sp:NamedGraphs.

    - #### DESC_CLASS

          public static final IRI DESC_CLASS

      http://spinrdf.org/sp#Desc Marker to indicate descending order.

    - #### TRIPLE_TEMPLATE_CLASS

          public static final IRI TRIPLE_TEMPLATE_CLASS

      http://spinrdf.org/sp#TripleTemplate A prototypical triple used as template in the head of a Construct query. May contain variables.

    - #### MAX_CLASS

          public static final IRI MAX_CLASS

      http://spinrdf.org/sp#Max Represents MAX aggregations.

    - #### INSERT_CLASS

          @Deprecated
          public static final IRI INSERT_CLASS

      Deprecated.
      http://spinrdf.org/sp#Insert Deprecated - use sp:Modify instead. Represents a INSERT INTO (part of SPARQL UPDATE language). The graph IRIs are stored in sp:graphIRI. The template patterns to delete are stored in sp:insertPattern. The WHERE clause is represented using sp:where.

    - #### MODIFY_CLASS

          public static final IRI MODIFY_CLASS

      http://spinrdf.org/sp#Modify Represents a MODIFY (part of SPARQL UPDATE language). The graph IRIs are stored in sp:graphIRI. The template patterns are stored in sp:deletePattern and sp:insertPattern. The WHERE clause is represented using sp:where.

    - #### Insert

          @Deprecated
          public static final IRI Insert

      Deprecated.
      http://spinrdf.org/sp#Insert Deprecated - use sp:Modify instead. Represents a INSERT INTO (part of SPARQL UPDATE language). The graph IRIs are stored in sp:graphIRI. The template patterns to delete are stored in sp:insertPattern. The WHERE clause is represented using sp:where.

    - #### AVG_CLASS

          public static final IRI AVG_CLASS

      http://spinrdf.org/sp#Avg Represents AVG aggregations.

    - #### TRIPLE_PATH_CLASS

          public static final IRI TRIPLE_PATH_CLASS

      http://spinrdf.org/sp#TriplePath Similar to a TriplePattern, but with a path expression as its predicate. For example, this can be used to express transitive sub-class relationships (?subClass rdfs:subClassOf* ?superClass).

    - #### TUPLE_CLASS

          public static final IRI TUPLE_CLASS

      http://spinrdf.org/sp#Tuple Abstract base class for things that have subject and object.

    - #### LET_CLASS

          @Deprecated
          public static final IRI LET_CLASS

      Deprecated.
      http://spinrdf.org/sp#Let Deprecated: use sp:Bind instead. A variable assignment (LET (? := )). Not part of the SPARQL 1.0 standard, but (for example) ARQ.

    - #### BIND_CLASS

          public static final IRI BIND_CLASS

      http://spinrdf.org/sp#Bind A BIND element.

    - #### Let

          @Deprecated
          public static final IRI Let

      Deprecated.
      http://spinrdf.org/sp#Let Deprecated: use sp:Bind instead. A variable assignment (LET (? := )). Not part of the SPARQL 1.0 standard, but (for example) ARQ.

    - #### ELEMENT_LIST_CLASS

          public static final IRI ELEMENT_LIST_CLASS

      http://spinrdf.org/sp#ElementList A list of Elements. This class is never instantiated directly as SPIN will use plain rdf:Lists to store element lists.

    - #### SUB_QUERY_CLASS

          public static final IRI SUB_QUERY_CLASS

      http://spinrdf.org/sp#SubQuery A nested SELECT query inside of an element list. The query is stored in sp:query.

    - #### DELETE_CLASS

          @Deprecated
          public static final IRI DELETE_CLASS

      Deprecated.
      http://spinrdf.org/sp#Delete Deprecated - use sp:Modify instead. Represents a DELETE FROM (part of SPARQL UPDATE language). The graph IRIs are stored in sp:graphIRI. The template patterns to delete are stored in sp:deletePattern. The WHERE clause is represented using sp:where.

    - #### Delete

          @Deprecated
          public static final IRI Delete

      Deprecated.
      http://spinrdf.org/sp#Delete Deprecated - use sp:Modify instead. Represents a DELETE FROM (part of SPARQL UPDATE language). The graph IRIs are stored in sp:graphIRI. The template patterns to delete are stored in sp:deletePattern. The WHERE clause is represented using sp:where.

    - #### MIN_CLASS

          public static final IRI MIN_CLASS

      http://spinrdf.org/sp#Min Represents MIN aggregations.

    - #### OPTIONAL_CLASS

          public static final IRI OPTIONAL_CLASS

      http://spinrdf.org/sp#Optional An optional element in a query.

    - #### ALT_PATH_CLASS

          public static final IRI ALT_PATH_CLASS

      http://spinrdf.org/sp#AltPath An alternative path with the union of sp:path1 and sp:path2.

    - #### COUNT_CLASS

          public static final IRI COUNT_CLASS

      http://spinrdf.org/sp#Count Counts the number of times a variable is used. The variable is stored in the variable property. This might be left blank to indicate COUNT(*).

    - #### REVERSE_PATH_CLASS

          public static final IRI REVERSE_PATH_CLASS

      http://spinrdf.org/sp#ReversePath A path with reversed direction.

    - #### CONSTRUCT_CLASS

          public static final IRI CONSTRUCT_CLASS

      http://spinrdf.org/sp#Construct A CONSTRUCT-type query that can be used to construct new triples from template triples (head) that use variable bindings from the match patterns (body).

    - #### QUERY_CLASS

          public static final IRI QUERY_CLASS

      http://spinrdf.org/sp#Query Abstract base class of the various types of supported queries. Common to all types of queries is that they can have a body ("WHERE clause").

    - #### VARIABLE_CLASS

          public static final IRI VARIABLE_CLASS

      http://spinrdf.org/sp#Variable A variable mentioned in a Triple or expression. Variables are often blank nodes with the variable name stored in ts:name. Variables can also be supplied with a IRI in which case the system will attempt to reuse the same variable instance across multiple query definitions.

    - #### ASK_CLASS

          public static final IRI ASK_CLASS

      http://spinrdf.org/sp#Ask An ASK query that returns true if the condition in the body is met by at least one result set.

    - #### MOD_PATH_CLASS

          public static final IRI MOD_PATH_CLASS

      http://spinrdf.org/sp#ModPath A modified path such as rdfs:subClassOf*.

    - #### CREATE_CLASS

          public static final IRI CREATE_CLASS

      http://spinrdf.org/sp#Create An Update operation that creates a new empty graph with a name specified by sp:graphIRI. May have sp:silent set to true.

    - #### NAMED_GRAPH_CLASS

          public static final IRI NAMED_GRAPH_CLASS

      http://spinrdf.org/sp#NamedGraph A named Graph element such as GRAPH {...}.

    - #### COMMAND_CLASS

          public static final IRI COMMAND_CLASS

      http://spinrdf.org/sp#Command A shared superclass for sp:Query and sp:Update that can be used to specify that the range of property can be either one.

    - #### REVERSE_LINK_PATH_CLASS

          public static final IRI REVERSE_LINK_PATH_CLASS

    - #### NOT_EXISTS_CLASS

          public static final IRI NOT_EXISTS_CLASS

      http://spinrdf.org/sp#NotExists A NOT EXISTS element group (ARQ only).

    - #### DROP_CLASS

          public static final IRI DROP_CLASS

      http://spinrdf.org/sp#Drop An Update operation that removes a specified graph from the Graph Store. Must specify the graph using sp:graphIRI, or sp:default, sp:named or sp:all. May have the SILENT flag, encoded using sp:silent.

    - #### INSERT_DATA_CLASS

          public static final IRI INSERT_DATA_CLASS

      http://spinrdf.org/sp#InsertData An Update operation to insert specific triples. The graph triples are represented using sp:data, which points to an rdf:List of sp:Triples or sp:NamedGraphs.

    - #### DELETE_WHERE_CLASS

          public static final IRI DELETE_WHERE_CLASS

      http://spinrdf.org/sp#DeleteWhere An Update operation where the triples matched by the WHERE clause (sp:where) will be the triples deleted.

    - #### SERVICE_CLASS

          public static final IRI SERVICE_CLASS

      http://spinrdf.org/sp#Service A SERVICE call that matches a nested sub-pattern against a SPARQL end point specified by a IRI.

    - #### SELECT_CLASS

          public static final IRI SELECT_CLASS

      http://spinrdf.org/sp#Select A SELECT-type query that returns variable bindings as its result.

    - #### FILTER_CLASS

          public static final IRI FILTER_CLASS

      http://spinrdf.org/sp#Filter A constraint element that evaluates a given expression to true or false.

    - #### MINUS_CLASS

          public static final IRI MINUS_CLASS

      http://spinrdf.org/sp#Minus A MINUS element group.

    - #### CLEAR_CLASS

          public static final IRI CLEAR_CLASS

      http://spinrdf.org/sp#Clear An Update operation that removes all triples from a specified graph. Must specify the graph using sp:graphIRI, or sp:default, sp:named or sp:all. May have the SILENT flag, encoded using sp:silent.

    - #### DESCRIBE_CLASS

          public static final IRI DESCRIBE_CLASS

      http://spinrdf.org/sp#Describe A DESCRIBE-type Query.

    - #### SEQ_PATH_CLASS

          public static final IRI SEQ_PATH_CLASS

      http://spinrdf.org/sp#SeqPath A sequence of multiple paths.

    - #### ARG5_PROPERTY

          public static final IRI ARG5_PROPERTY

      http://spinrdf.org/sp#arg5 The fifth argument of a function call. Further arguments are not common in SPARQL, therefore no sp:arg6, etc are defined here. However, they can be created if needed.

    - #### ARG_PROPERTY

          public static final IRI ARG_PROPERTY

      http://spinrdf.org/sp#arg Abstract superproperty for the enumerated arg1, arg2 etc.

    - #### PATH1_PROPERTY

          public static final IRI PATH1_PROPERTY

      http://spinrdf.org/sp#path1 The first child path of a property path. Used by sp:AltPath and sp:SeqPath.

    - #### SYSTEM_PROPERTY

          public static final IRI SYSTEM_PROPERTY

      http://spinrdf.org/sp#systemProperty An abstract base proprerty that groups together the SP system properties. Users typically don't need to see them anyway.

    - #### ARG1_PROPERTY

          public static final IRI ARG1_PROPERTY

      http://spinrdf.org/sp#arg1 The first argument of a function call.

    - #### DEFAULT_PROPERTY

          public static final IRI DEFAULT_PROPERTY

      http://spinrdf.org/sp#default Used in DROP and CLEAR.

    - #### OBJECT_PROPERTY

          public static final IRI OBJECT_PROPERTY

      http://spinrdf.org/sp#object An RDF Node or Variable describing the object of a triple.

    - #### GRAPH_NAME_NODE_PROPERTY

          public static final IRI GRAPH_NAME_NODE_PROPERTY

      http://spinrdf.org/sp#graphNameNode The name (IRI or Variable) of a NamedGraph.

    - #### VAR_NAME_PROPERTY

          public static final IRI VAR_NAME_PROPERTY

      http://spinrdf.org/sp#varName The name of a Variable.

    - #### NAMED_PROPERTY

          public static final IRI NAMED_PROPERTY

      http://spinrdf.org/sp#named Used in DROP and CLEAR.

    - #### AS_PROPERTY

          @Deprecated
          public static final IRI AS_PROPERTY

      Deprecated.
      http://spinrdf.org/sp#as Points to a Variable used in an AS statement such as COUNT aggregates.

    - #### DISTINCT_PROPERTY

          public static final IRI DISTINCT_PROPERTY

      http://spinrdf.org/sp#distinct A marker property to indicate that a Select query is of type SELECT DISTINCT.

    - #### PATH2_PROPERTY

          public static final IRI PATH2_PROPERTY

      http://spinrdf.org/sp#path2 The second child path of a property path. Used by sp:AltPath and sp:SeqPath.

    - #### ORDER_BY_PROPERTY

          public static final IRI ORDER_BY_PROPERTY

      http://spinrdf.org/sp#orderBy Links a query with an ORDER BY clause where the values are rdf:List containing OrderByConditions or expressions. While the domain of this property is sp:Query, only Describe and Select queries can have values of it.

    - #### VARIABLE_PROPERTY

          public static final IRI VARIABLE_PROPERTY

      http://spinrdf.org/sp#variable The variable of a Bind element.

    - #### ARG4_PROPERTY

          public static final IRI ARG4_PROPERTY

      http://spinrdf.org/sp#arg4 The forth argument of a function call.

    - #### SILENT_PROPERTY

          public static final IRI SILENT_PROPERTY

    - #### HAVING_PROPERTY

          public static final IRI HAVING_PROPERTY

      http://spinrdf.org/sp#having Points from a SELECT query to a list of HAVING expressions.

    - #### QUERY_PROPERTY

          public static final IRI QUERY_PROPERTY

      http://spinrdf.org/sp#query Links a SubQuery resource with the nested Query.

    - #### GROUP_BY_PROPERTY

          public static final IRI GROUP_BY_PROPERTY

      http://spinrdf.org/sp#groupBy Points from a Query to the list of GROUP BY expressions.

    - #### GRAPH_IRI_PROPERTY

          public static final IRI GRAPH_IRI_PROPERTY

      http://spinrdf.org/sp#graphIRI Points to graph names (IRIs) in various sp:Update operations.

    - #### LIMIT_PROPERTY

          public static final IRI LIMIT_PROPERTY

      http://spinrdf.org/sp#limit The LIMIT solution modifier of a Query.

    - #### USING_PROPERTY

          public static final IRI USING_PROPERTY

    - #### TEMPLATES_PROPERTY

          public static final IRI TEMPLATES_PROPERTY

      http://spinrdf.org/sp#templates Points to a list of TripleTemplates that form the head of a Construct query.

    - #### RESULT_NODES_PROPERTY

          public static final IRI RESULT_NODES_PROPERTY

      http://spinrdf.org/sp#resultNodes Contains the result nodes (IRI resources or Variables) of a Describe query.

    - #### USING_NAMED_PROPERTY

          public static final IRI USING_NAMED_PROPERTY

    - #### DATA_PROPERTY

          public static final IRI DATA_PROPERTY

    - #### ARG3_PROPERTY

          public static final IRI ARG3_PROPERTY

      http://spinrdf.org/sp#arg3 The third argument of a function call.

    - #### REDUCED_PROPERTY

          public static final IRI REDUCED_PROPERTY

      http://spinrdf.org/sp#reduced A property with true to indicate that a Select query has a REDUCED flag.

    - #### SUB_PATH_PROPERTY

          public static final IRI SUB_PATH_PROPERTY

      http://spinrdf.org/sp#subPath The child path of a property path expression. This is used by ReversePath and ModPath.

    - #### INTO_PROPERTY

          public static final IRI INTO_PROPERTY

      http://spinrdf.org/sp#into The (optional) target of a LOAD Update operation.

    - #### WITH_PROPERTY

          public static final IRI WITH_PROPERTY

    - #### SERVICE_URI_PROPERTY

          public static final IRI SERVICE_URI_PROPERTY

      http://spinrdf.org/sp#serviceURI Used by sp:Service to specify the IRI of the SPARQL end point to invoke. Must point to a IRI node.

    - #### DOCUMENT_PROPERTY

          public static final IRI DOCUMENT_PROPERTY

      http://spinrdf.org/sp#document The IRI of the document to load using a LOAD Update operation.

    - #### WHERE_PROPERTY

          public static final IRI WHERE_PROPERTY

      http://spinrdf.org/sp#where The WHERE clause of a Query.

    - #### RESULT_VARIABLES_PROPERTY

          public static final IRI RESULT_VARIABLES_PROPERTY

      http://spinrdf.org/sp#resultVariables An rdf:List of variables that are returned by a Select query.

    - #### TEXT_PROPERTY

          public static final IRI TEXT_PROPERTY

      http://spinrdf.org/sp#text Can be attached to sp:Queries to store a textual representation of the query. This can be useful for tools that do not have a complete SPIN Syntax parser available.

    - #### PATH_PROPERTY

          public static final IRI PATH_PROPERTY

      http://spinrdf.org/sp#path Points from a TriplePath to its path.

    - #### MOD_MAX_PROPERTY

          public static final IRI MOD_MAX_PROPERTY

    - #### PREDICATE_PROPERTY

          public static final IRI PREDICATE_PROPERTY

      http://spinrdf.org/sp#predicate A resource or Variable describing the predicate of a triple.

    - #### ELEMENTS_PROPERTY

          public static final IRI ELEMENTS_PROPERTY

      http://spinrdf.org/sp#elements Points to an ElementList, for example in an Optional element.

    - #### NODE_PROPERTY

          public static final IRI NODE_PROPERTY

    - #### FROM_NAMED_PROPERTY

          public static final IRI FROM_NAMED_PROPERTY

      http://spinrdf.org/sp#fromNamed Specifies a named RDF Dataset used by a Query (FROM NAMED syntax in SPARQL). Values of this property must be IRI resources.

    - #### ARG2_PROPERTY

          public static final IRI ARG2_PROPERTY

      http://spinrdf.org/sp#arg2 The second argument of a function call.

    - #### SUBJECT_PROPERTY

          public static final IRI SUBJECT_PROPERTY

      http://spinrdf.org/sp#subject A resource or Variable describing the subject of a triple.

    - #### EXPRESSION_PROPERTY

          public static final IRI EXPRESSION_PROPERTY

      http://spinrdf.org/sp#expression Points to an expression, for example in a Filter or Assignment.

    - #### DELETE_PATTERN_PROPERTY

          public static final IRI DELETE_PATTERN_PROPERTY

      http://spinrdf.org/sp#deletePattern Points to a list of sp:TripleTemplates and sp:NamedGraphs in a modify operation.

    - #### ALL_PROPERTY

          public static final IRI ALL_PROPERTY

      http://spinrdf.org/sp#all Used in DROP and CLEAR.

    - #### OFFSET_PROPERTY

          public static final IRI OFFSET_PROPERTY

      http://spinrdf.org/sp#offset The OFFSET solution modifier of a Query.

    - #### FROM_PROPERTY

          public static final IRI FROM_PROPERTY

      http://spinrdf.org/sp#from Specifies an RDF Dataset used by a Query (FROM syntax in SPARQL). Values of this property must be IRI resources.

    - #### MOD_MIN_PROPERTY

          public static final IRI MOD_MIN_PROPERTY

    - #### INSERT_PATTERN_PROPERTY

          public static final IRI INSERT_PATTERN_PROPERTY

      http://spinrdf.org/sp#insertPattern Points to a list of sp:TripleTemplates or sp:NamedGraphs in a modify command.

    - #### VALUES_CLASS

          public static final IRI VALUES_CLASS

    - #### BINDINGS_PROPERTY

          public static final IRI BINDINGS_PROPERTY

    - #### VAR_NAMES_PROPERTY

          public static final IRI VAR_NAMES_PROPERTY

    - #### UNDEF

          public static final IRI UNDEF

    - #### GROUP_CONCAT_CLASS

          public static final IRI GROUP_CONCAT_CLASS

    - #### SAMPLE_CLASS

          public static final IRI SAMPLE_CLASS

    - #### AND

          public static final IRI AND

    - #### OR

          public static final IRI OR

    - #### ADD

          public static final IRI ADD

    - #### SUB

          public static final IRI SUB

    - #### MUL

          public static final IRI MUL

    - #### DIVIDE

          public static final IRI DIVIDE

    - #### EQ

          public static final IRI EQ

    - #### NE

          public static final IRI NE

    - #### LT

          public static final IRI LT

    - #### LE

          public static final IRI LE

    - #### GE

          public static final IRI GE

    - #### GT

          public static final IRI GT

    - #### NOT

          public static final IRI NOT

    - #### EXISTS

          public static final IRI EXISTS

    - #### NOT_EXISTS

          public static final IRI NOT_EXISTS

    - #### BOUND

          public static final IRI BOUND

    - #### IF

          public static final IRI IF

    - #### COALESCE

          public static final IRI COALESCE

    - #### IS_IRI

          public static final IRI IS_IRI

    - #### IS_URI

          public static final IRI IS_URI

    - #### IS_BLANK

          public static final IRI IS_BLANK

    - #### IS_LITERAL

          public static final IRI IS_LITERAL

    - #### IS_NUMERIC

          public static final IRI IS_NUMERIC

    - #### STR

          public static final IRI STR

    - #### LANG

          public static final IRI LANG

    - #### DATATYPE

          public static final IRI DATATYPE

    - #### BNODE

          public static final IRI BNODE

    - #### REGEX

          public static final IRI REGEX

    - #### IRI

          public static final IRI IRI

    - #### URI

          public static final IRI URI

  - ### Constructor Detail

    - #### SP

          public SP()

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.